<?php 

namespace Teknisa\Util;

class Utilities {
    
    /*
    * Valida se os campos informados existem no array
    *
    * @param array $array
    * @param array $fields
    **/
    public static function validateExpectedFields($array, $fields, $arrayName = '') {
        $errorMessage  = "Required fields [missingFields] not found in $arrayName";
        $missingFields = '';
        
        foreach($fields as $field) {
            if(!isset($array[$field])) $missingFields.=$field.', ';
        }
        
        if($missingFields) {
            $missingFields = substr($missingFields, 0, strlen($missingFields) - 2);
            throw new \Exception(str_replace('missingFields', $missingFields, $errorMessage));
        }
        
        
    }
    
}